Package docking.widgets.table.constraint

# Class InDateRangeColumnConstraint

java.lang.Object
docking.widgets.table.constraint.RangeColumnConstraint<LocalDate>
docking.widgets.table.constraint.InDateRangeColumnConstraint

All Implemented Interfaces:
  `ColumnConstraint<LocalDate>`, `Comparable<ColumnConstraint<LocalDate>>`

public class InDateRangeColumnConstraint extends RangeColumnConstraint<LocalDate>
Column Constraint where acceptable column values are within some range defined by a min value and a max value.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constraint.RangeColumnConstraint

  `editorProvider, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InDateRangeColumnConstraint(LocalDate minValue, LocalDate maxValue, EditorProvider<LocalDate> editorProvider)`
  Construct a new InDateRangeConstraint that uses the default name and group and specifies the min and max values for the range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accepts(LocalDate value, TableFilterContext context)`
  Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
  `RangeColumnConstraint<LocalDate>`
  `copy(LocalDate min, LocalDate max)`
  subclasses must override to generate new versions of themselves but with new range values.

  ### Methods inherited from class docking.widgets.table.constraint.RangeColumnConstraint

  `equals, getColumnType, getConstraintValueString, getEditor, getGroup, getMaxValue, getMinValue, getName, hashCode, parseConstraintValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.constraint.ColumnConstraint

  `asString, compareTo, getConstraintValueTooltip`

- ## Constructor Details

  - ### InDateRangeColumnConstraint

    public InDateRangeColumnConstraint(LocalDate minValue, LocalDate maxValue, EditorProvider<LocalDate> editorProvider)
    Construct a new InDateRangeConstraint that uses the default name and group and specifies the min and max values for the range.
    Parameters:
      `minValue` - the min value of the acceptable range.
      `maxValue` - the max value of the acceptable range.
      `editorProvider` - an object that can provide an appropriate range editor for the column type.

- ## Method Details

  - ### accepts

    public boolean accepts(LocalDate value, TableFilterContext context)
    Description copied from interface: `ColumnConstraint`
    Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
    Parameters:
      `value` - the column value to be tested.
      `context` - provides additional information about the the table and its data. This allows the filter to base its decision on information other than just the column value.
    Returns:
      true if the column value passes the constraint, false otherwise

  - ### copy

    public RangeColumnConstraint<LocalDate> copy(LocalDate min, LocalDate max)
    Description copied from class: `RangeColumnConstraint`
    subclasses must override to generate new versions of themselves but with new range values.
    Specified by:
      `copy` in class `RangeColumnConstraint<LocalDate>`
    Parameters:
      `min` - the min value of the range.
      `max` - the max value of the range.
    Returns:
      a new ColumnConstraint that is the same type as this constraint but with a new range defined.